package org.jboss.soa.qa.transactiontest.model;

import javax.persistence.Column;
import javax.persistence.MappedSuperclass;
import java.io.Serializable;

@MappedSuperclass
public abstract class EntityBean implements Serializable {

	private static final long serialVersionUID = -1;

	public static <T extends EntityBean> T createEntity(T entity, String command) {
		entity.setCommand(command);
		return entity;
	}

	@Column(nullable = false)
	private String command;

	public abstract Long getId();

	public String getCommand() {
		return command;
	}

	public void setCommand(String command) {
		this.command = command;
	}
}
